%define upstream_name    Dist-Zilla-Plugin-Test-Compile
%define upstream_version 2.036

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Common tests to check syntax of your modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Section)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Sub::Exporter::ForMethods)
BuildRequires: perl(Test::CheckDeps)
BuildRequires: perl(Test::Deep::JSON)
BuildRequires: perl(Test::MinimumVersion)
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(namespace::autoclean)

BuildArch:  noarch

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following files:

* t/00-compile.t - a standard test to check syntax of bundled modules

This test will find all modules and scripts in your dist, and try to
compile them one by one. This means it's a bit slower than loading them all
at once, but it will catch more errors.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.36.0-2.mga4
+ Revision: 542265
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 2.36.0-1.mga4
+ Revision: 497157
- update to 2.036

* Sun Oct 06 2013 sander85 <sander85> 2.34.0-1.mga4
+ Revision: 492200
- update to 2.034

* Wed Sep 25 2013 sander85 <sander85> 2.33.0-1.mga4
+ Revision: 486306
- update to 2.033

* Wed Sep 11 2013 sander85 <sander85> 2.30.0-1.mga4
+ Revision: 477562
- update to 2.030

* Tue Sep 10 2013 sander85 <sander85> 2.29.0-1.mga4
+ Revision: 477097
- update to 2.029

* Sun Sep 08 2013 sander85 <sander85> 2.27.0-2.mga4
+ Revision: 476377
- Doesn't provide Dist::Zilla::Plugin::CompileTests anymore

* Sun Sep 08 2013 sander85 <sander85> 2.27.0-1.mga4
+ Revision: 476293
- update to 2.027

* Sat Sep 07 2013 sander85 <sander85> 2.25.0-1.mga4
+ Revision: 475582
- update to 2.025

* Sun Aug 04 2013 sander85 <sander85> 2.18.0-1.mga4
+ Revision: 463409
- update to 2.018

* Thu Aug 01 2013 sander85 <sander85> 2.14.0-1.mga4
+ Revision: 462149
- update to 2.014

* Wed Jul 31 2013 sander85 <sander85> 2.13.0-1.mga4
+ Revision: 461485
- update to 2.013

* Mon Jul 29 2013 sander85 <sander85> 2.11.0-1.mga4
+ Revision: 460374
- update to 2.011

* Sat Jul 27 2013 sander85 <sander85> 2.10.0-1.mga4
+ Revision: 459076
- update to 2.010

* Fri Jun 07 2013 jquelin <jquelin> 2.2.0-1.mga4
+ Revision: 439092
- update to 2.002

* Sun Jan 13 2013 umeabot <umeabot> 1.112.820-2.mga3
+ Revision: 366458
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 13 2011 jquelin <jquelin> 1.112.820-1.mga2
+ Revision: 154281
- update to 1.112820

* Mon Aug 29 2011 jquelin <jquelin> 1.112.400-2.mga2
+ Revision: 136015
- adding provides: of obsoleted package
- update to 1.112400
- obsoleting previous dist name
- update to 1.112392
- dist renamed upstream
- oops, wrong move
- dist renamed upstream

* Sun Apr 03 2011 jquelin <jquelin> 1.110.930-1.mga1
+ Revision: 80062
- update to 1.110930

* Wed Jan 26 2011 jquelin <jquelin> 1.103.30-1.mga1
+ Revision: 40388
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-CompileTests

